Instalar KDE 4.10 en openSUSE 12.2

kde10

Una de las muchas cosas que hace que openSUSE sea mi distro de linux favorita, (aunque ya sabéis que a mi me gustan muchas, y no tengo problema en serle infiel de vez en cuando), es lo bien que se comporta a la hora de las actualizaciones de entornos o entre versiones, y en esta ocasión con KDE tampoco ha sido una excepción.


Os comento los pasos, porque son muy fáciles:

  • Como siempre lo primero es desinstalar cualquier repositorio de KDE anterior, para ello nos vamos a YAST > Repositorios de Software y los eliminamos.
  • Ahora añadimos los nuevos repositorios de KDE 4.10:

zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.2/ KDE410

Y KDE 4.10 Extra 

zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.2/ KDE410Extra

  • Refrescamos los repositorios

zypper ref

  • Por último actualizamos la distribución desde los repos de KDE

zypper dup --from KDE410 --from KDE410Extra

Y ya podemos disfrutar del excelente KDE 4.10 en nuestra openSUSE 12.2

Entradas Relacionadas:

Vía | LinuxTarGz

36 thoughts on “Instalar KDE 4.10 en openSUSE 12.2”

  1. el pana says:

    hay algun error no puedo cargar repositor

    1. tannhausser says:

      Gracias por el aviso, ya corregí el error en la dirección del repositorio, prueba otra vez.
      Saludos!

  2. el pana says:

    otro error en zypper dup –from KDE410 –from KDE410Extra

    zypper dup –from KDE410 –KDE410Extra va doble — guion medio

    atte el pana

    1. tannhausser says:

      Eso es cosa de wordpress que tiene la costumbre de juntar los guiones medios en uno…ahora lo cambio

  3. el pana says:

    okey ahora todo de maravillas , por algo los tengo a ustedes como favorita

    un abrazo el pana

    1. tannhausser says:

      Gracias a ti por ayudarme a detectar esos errores! y también por seguir el blog claro!

      Un abrazo!

  4. Ghermain says:

    Bueno yo no uso Opensuse sino Kubuntu 12.10 x64 y acabo de actualizar a esta versión 4.10 desde la 4.9.98 y no trae los fondos animados; alguien podría explicar si trae esa opción por defecto o hay que habilitarla.

    EDITO: Desde Leanuxeros me sugieren instalar el paquete “kdeplasma-addons” que es el que ademas crea una carpeta extra en ~/.kde/share/apps/plasma/wallpapers

    Ya lo estoy haciendo y son algo mas de 106 MB en 10 paquetes, espero ahora si me aparezca la opción.

    1. tannhausser says:

      No tengo Kubuntu, así que poco puedo ayudarte, pero comentarte que los fondos animados si vienen por defecto. Acabo de probar 3 en openSUSE sin necesidad de activar nada.

  5. tini says:

    Aqui otro seguidor , aunque nunca he escrito , pero sigo el blog regularmente , gracias por la info , mi opensuse 12.2 ya luce kde 4.10 🙂

    1. tannhausser says:

      Gracias a ti por leer el blog!
      Ahora KDE 4.10. Y dentro de un mes, la nueva openSUSE 12.3, nuestro amigo el gecko está imparable 🙂

      1. Ghermain says:

        Me gustaría ver si es mejor Kubuntu 12.10 o Suse 12.3, la cuestión es el lío que me hago con la terminal y que no puedo sincronizar mis archivos con un HD externo porque el programa Freefilesync no lo hay en los repositorios ni en una .rpm de resto anda bien el software que necesito.
        Si me ayudan con los comandos seguro que me cambio.

  6. legion says:

    Se agradece el dato.- Pero yo sigo extrañando la Gnome 11.4 , Tanto que estoy pensando abandonar Linux definitivamente.-Años apostando a opensuse gnome para que los de gnome hagan esa fritura de shell, que es para un celular.- Es muy posible que me pase al lado oscuro de la fuerza de la indignaciòn y le meta una patada a linux.-

    1. tannhausser says:

      Eso nunca! Windows es el MAL 🙂 Así que mejor espera a Gnome 3.8 y su nuevo fallback que promete ser interesante.
      Ahora en serio, a mi no me importaría sacrificar algo de comodidad por poder disfrutar de un sistema libre, pero es que ademas ese tampoco es el caso, no le veo ninguna ventaja a Windows respecto de linux que compense el cambio.

  7. victorhck says:

    Vaya cuantos comentarios!! 😉
    No es rolling release, pero casi! jejeje

    Saludos compa!

    1. tannhausser says:

      A estas horas y todavía de marcha por Nuremberg? Eso no es una hacktaton de openSUSE, más bien es una bacanal! 😉
      Saludos amigo!

  8. tannhausser says:

    @Ghermain Marchando unas chuletitas de zypper por si te decides a cambiar http://lamiradadelreplicante.com/2011/10/27/ahora-que-se-viene-opensuse-12-1-marchando-unas-chuletitas/
    Al final lo que más vas a utilizar son estos tres comandos:
    instalar: zypper in
    desinstalar: zypper remove
    actualizar: zypper update

    1. Ghermain says:

      Gracias, empezaré a analizar que tan conveniente es hacer el cambio de Kubuntu a Suse, solo que te pido ayuda con lo siguiente:
      Tengo una laptop Samsung RV 408 con 6GB RAM; y para usar los botones Fn; sincronizar y usar mis páginas, siempre instalo estos 3 repositorios con sus paquetes: ppa:freefilesync/ffs – ppa:joe-nationnet/seamonkey-dev – ppa:voria/ppa – y este otro que me gusta mucho: ppa:webupd8team/y-ppa-manager
      Si me ayudas con ellos, fijo me cambio a Suse.

      1. Ghermain says:

        Anoche bajé OS-12.2 x64 KDE y estuvimos un buen rato de coqueteos; me agradó mucho, y casi me decido a instalarla pero… quería preguntarte:
        ¿Se puede cambiar ese fondo verde del Splash de booteo y de inicio de sesión por uno azul? En Kubuntu, Netrunner y Mint lo he hecho modificando el Plymouth.
        ¿Puedo actualizar de la 12.2 a la 12.3 sin problema cuando salga en unos 30 días +/- o debo hacer una instalación limpia siempre?
        ¿Que tiempo de soporte tiene la 12.2 y la 12.3?
        ¿Si no puedo usar Freefilesync; que otro programa igual o mejor puedo instalar? Es que necesito mantener los datos en un HD externo como copia de respaldo de la laptop.
        ¿Puedo instalar Samsung Tools desde que repositorio para OpenSUSE? Uso mucho las teclas Fn.
        Se que es un bombardeo de preguntas, pero si hay respuestas seguro que lo instalo.
        ¡Gracias por tu paciencia!

  9. Zoser says:

    La instalación me da este error:
    PackageKit-branding-openSUSE-12.2-2.1.1.noarch requiere PackageKit = 0.7.4, pero este requisito no puede cumplirse
    proveedores no instalables: PackageKit-0.7.4-2.9.1.i586[repo-oss]
    PackageKit-0.7.4-2.9.1.x86_64[repo-oss]
    PackageKit-0.7.4-2.12.1.i586[repo-update]
    PackageKit-0.7.4-2.12.1.x86_64[repo-update]
    Solución 1: desinstalación de PackageKit-branding-openSUSE-12.2-2.1.1.noarch
    Solución 2: mantener el antiguo PackageKit-0.7.4-2.16.1.x86_64
    Solución 3: mantener el antiguo PackageKit-0.7.4-2.16.1.x86_64
    Solución 4: romper PackageKit-branding-openSUSE-12.2-2.1.1.noarch ignorando algunas de sus dependencias

    Elija la solución usando ‘1’o cancele usando ‘c’ [1/2/3/4/c] (c):

    ¿Que Hago?
    Gracias

    1. AliciaCuperina says:

      Me pasó exactamente, en mi caso, le dí a 1 en ese paquete y un par más que tocó eliminar (kdeartwork4-decorations-aurorae kdeartwork4-wallpapers-extra-large
      PackageKit-branding-openSUSE tomahawk-kde ), y ya está, lo demás todo perfecto..

      1. Zoser says:

        Gracias. Todo correcto.

  10. mefistum says:

    Hola, Tannhauser.

    Actualicé anoche a KDE 4.10 (no aguanté la ansiedad) y anda todo de maravillas.

    En otro tema, me encargaron el formateo de dos equipos: una notebook y una netbook de 1 giga. Como no voy a cobrar, aceptaron amablemente mi propuesta proselitista (Ya, Ya. ¡Intálales un linxun!).

    A la note le instalé openSUSE, obviamente, y ahora actualizo KDE. Mi duda surge con la net. Mi primera opción fue Lubuntu por su ligereza, cantidad enorme de paquetes disponibles, reconocimiento de hardware, etc. Pero me ha llamado la atención Fuduntu, dicen que es ideal para estos casos.

    La cuestión es que mi experiencia con netbooks es nula y por lo que te he leído, tienes Lubuntu en algún equipo. Entonces, como usuario ¿qué me puedes decir acerca de esa distro en cuanto a rendimiento?

    Saludos.

    1. tannhausser says:

      Umm difícil..difícil.., Fuduntu lo probé hace unas semanas y me causo una grata impresión, es rolling release, facil de usar y si te gusta gnome clásico es una buena elección.
      En cuanto a Lubuntu 12.04, lo tengo en un viejo pentium que utiliza sobre todo mi novia, y cada vez que lo pillo, me sorprende por lo rápido que va. Al igual que el resto de derivadas de Ubuntu, tiene todo lo bueno (software, soporte de varios años), pero sin esa pesadez que es Unity. Creo que LXDE es la opción más natural para un netbook, aunque el Gnome de Fuduntu también es bastante ligero.

      Otra opción que me gusta mucho para netbooks es SolusOS, pero ahí ya me esperaría a la version 2.

      Y después está la cuestión del usuario, si le instalas una LTS te olvidas de tener que actualizarle el equipo en unos años.. 😉

      Saludos!

  11. tannhausser says:

    @Ghermain Hola! Voy a intentar responder a algunas de tus preguntas:

    1º Si se puede cambiar la pantalla de inicio fácilmente http://bit.ly/UFT4c2

    2º No es precisa instalación limpia, openSUSE es una distro muy estable y de las que mejor actualizan entre versiones

    3º El soporte es de 18 meses

    4º Freefilesync no está en los repositorios. Te recomiendo wuala o spideroak que es mi preferido por su seguridad.

    5º Samsung Tools tampoco está en los repos. A mi las FN con openSUSE siempre me han funcionado, aunque es cierto que no tengo un Samsung.

    Al margen de estas respuestas, te sugiero que pases por el foro de opensuse http://www.forosuse.org/forosuse/ donde encontraras mucha gente que también les gustara ayudarte.

    Un saludo!

    1. Ghermain says:

      Bueno mi amigo, entonces a la noche instalo 12.2 y vamos viendo… Gracias.
      Ahhh y para el que pregunta por Fuduntu; en realidad es la mejor opción actualmente para netbooks, probado y recomprobado.

      1. Ghermain says:

        Bajé la versión 12.3 RC1 que recién salió y me puse a instalarla; lo curioso es que entro en modo LIVE y no pide conectarme a internet, le digo que instale , preparo las 3 particiones /; /home y swap y luego todo lo que me pide, copia todo el Live y luego me pide que reinicie, al hacerlo inicia correctamente y llega un momento en que me aparece este letrero:

        Welcome to emergency mode! after logging in, type “journalctl -b” to view system logs, “systemctl reboot” to reboot, “systemctl default” to tray again to bot into default mode.
        Give root password for login:

        Le escribo mi contraseña, luego he tipeado en 3 sesiones diferentes, cada opción que me ha dado pero nunca pasa de volver a mostrarme este letrerito.

        No se porque siguen insistiendo en que OpenSUSE es para principiantes, yo algo entiendo de GNU/Linux y no he podido instalarla.

        Volví a hacer todo desde ceros y pasa lo mismo. Me regresé a colocar mi HD con Kubuntu 12.10 en la máquina y dejar el otro como externo para poder hacer mi comentario.

  12. NightShadow says:

    Hola, que tal! quería sacarme unas dudas. Soy nuevo en linux y finalmente me decidí por OpenSuse y estuve navegando en diversas páginas para aprender sobre el tema. Yo soy de los que les gusta tener en lo posible lo mas actualizado sus programas y me enteré que hay un repositorio llamado Tumbleweed el cual tiene siempre versiones actualizadas pero estables y que me gustaría probar.
    También estuve viendo un lanzador de aplicaciones para KDE llamado Homerun que me llamó la atención y me gustaría instalar y el cual se encuentra disponible en otro repositorio, KDE Extra. Ahora me surgen algunas dudas, esto de los repositorios me esta empezando a marear un poco, aunque creo que puedo superarlo xD
    Si sigo los pasos que se indican aca para instalar esta nueva versión de KDE, ¿es necesario que agregue también el repositorio KDE:Extra que figura en Yast? ¿o dejo solamente el que se indicó en esta guía?
    Por otro lado estuve viendo que entre los repositorios de la comunidad hay uno llamado KDE UpdatedApps, ¿estaría bien si añado ese repositorio también o provocaría alguna clase de conflicto?
    Bueno, y mi última duda es la siguiente, si instalo el repositorio Tumbleweed, y supongamos que en un futuro necesite instalar alguna aplicación que no figure en los repositorios y para lo cual necesite añadir un repositorio adicional, ¿ese repositorio debería ser para la versión Tumbleweed de OpenSuse? porque por ej, estuve viendo que existe también un repositorio KDE Extra específicamente para Tumbleweed aquí http://en.opensuse.org/KDE_repositories ¿o estoy confundiendo las cosas?
    Bueno, eso es todo, lamento si fui demasiado extenso en mi comentario, simplemente quería ser lo más claro posible, muchas gracias!

    1. tannhausser says:

      Hola NightShadow! Independientemente de que al final utilices tumbleweed o una versión de lanzamiento normal, te diría que sobre todo al principio no incluyas demasiados repositorios, a menos que necesites una aplicación en concreto. Una cosa que yo suelo hacer, porque a veces me da por probar muchas aplicaciones nuevas, es descargar desde one click y desmarcar la opción de añadir ese repositorio al sistema, para evitar conflictos.

      En cuanto a KDE:extra claro que no es obligatorio, pero si aconsejable ya que incluye un montón de programas interesantes. En todo caso solo manten un repo KDE:EXTRA, si vas a actualizar KDE siempre hay que eliminar el antiguo y cambiar por el nuevo, siempre el que corresponda a tu versión de openSUSE (12.2, 12.3, tumbleweed etc..)

      KDE:updateapps proporciona nuevas versiones de las aplicaciones de las versiones KDE, si has actualizado a KDE 4.10 (la última versión de KDE) no es necesario añadirlo.

      En general los repos no suelen dar demasiados problemas de incompatibilidad y zypper resuelve de maravilla el tema de las dependencias.

      Saludos!

      1. NightShadow says:

        Gracias tannhausser! Me sacaste varias dudas, ahora solo me queda ir aprendiendo con el tiempo a usar este SO, queria aprender algo de linux y al principio estaba indeciso sobre si instalar Ubuntu u OpenSuse y al final me decidí por OpenSuse y la verdad hasta ahora me viene gustando 🙂

  13. pipo1342 says:

    que tal amigo.
    no se si puedo preguntar aqui pero anoche instale opensuse 12.3 pero no puedo instalar driver de nvidia.
    ¡saludos!

    1. tannhausser says:

      Dado que la versión 12.3 aún está en desarrollo, te sugiero que lo reportes a bugzilla.
      Saludos!

  14. Pingback: Cómo instalar KDE 4.10 en openSUSE » KDE Blog
  15. Trackback: Cómo instalar KDE 4.10 en openSUSE » KDE Blog
  16. aron says:

    esta mal lo del repositor no me lo acepta

    1. tannhausser says:

      Salía cortado por el cambio de plantilla en el blog, ahora debería ir bien

  17. Isaac Yañez Tenorio says:

    Oye amigo mira trato de instalarlo….y al dar la ultima instruccion “zypper dup –from KDE410 –from KDE410Extra”…. me manda nada que hacer, reinicio y solo aparece Gnome pero no aparece KDE, como le hago? amigo mio

    1. tannhausser says:

      Hola Isaac! Ya tenías el escritorio de KDE instalado antes o solo ¿GNOME?

Deja un comentario